# MigrationProgress

    public enum MigrationProgress<T> where T : LocalStorage

A `MigrationProgress` contains info on a `LocalStorage`‘s setup progress.

See also

DataStack.reactive.addStorage(_:)

See also

DataStack.async.addStorage(_:)

- `migrating(storage:progressObject:)`

  The `LocalStorage` is currently being migrated

  #### Declaration

  Swift

      case migrating(storage: T, progressObject: Progress)

- `finished(storage:migrationRequired:)`

  The `LocalStorage` has been added to the `DataStack` and is ready for reading and writing

  #### Declaration

  Swift

      case finished(storage: T, migrationRequired: Bool)

- `fractionCompleted`

  The fraction of the overall work completed by the migration. Returns a value between 0.0 and 1.0, inclusive.

  #### Declaration

  Swift

      public var fractionCompleted: Double { get }

- `isCompleted`

  Returns `true` if the storage was successfully added to the stack, `false` otherwise.

  #### Declaration

  Swift

      public var isCompleted: Bool { get }